---
title: "Get an Migrolino object of product (store specific) attributes"
url: "https://developer.migros.ch/apis/odin-1/versions/85d1c695-d7c8-4825-98d5-c795728e2a00/operations/get-migrolino-product-attributes"
---

> Full API specification: https://developer.migros.ch/apis/odin-1/versions/85d1c695-d7c8-4825-98d5-c795728e2a00.md

# Get an Migrolino object of product (store specific) attributes

`GET` `/migrolino/products/odin/v1/product/attributes/{productID}/{storeID}`

Operation ID: `get-migrolino-product-attributes`

It returns an object of additional attributes of a product.

## Path parameters

- `storeID` (string, required) - Use the storeID.
- `productID` (string, required) - Is the SAP ID of a product. Note - Not a GTIN.

## Responses

- `200` - Found product attributes.
- `404` - Does not find the product attributes.

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Odin
  version: 1.0.0
servers:
  - description: URL of upstream
    url: https://api.migros.ch
paths:
  /migrolino/products/odin/v1/product/attributes/{productID}/{storeID}:
    get:
      description: It returns an object of additional attributes of a product.
      operationId: get-migrolino-product-attributes
      parameters:
        - description: Use the storeID.
          in: path
          name: storeID
          required: true
          schema:
            type: string
        - description: Is the SAP ID of a product. Note - Not a GTIN.
          in: path
          name: productID
          required: true
          schema:
            type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProductAttributeRequestResponse"
          description: Found product attributes.
        "404":
          content:
            text/plain:
              example: Attributes not found
          description: Does not find the product attributes.
      summary: Get an Migrolino object of product (store specific) attributes
      tags:
        - ESL-Migrolino
security:
  - Kong-Api-Key: []
components:
  schemas:
    ProductAttributeRequestResponse:
      description: Additional product specific attributes.
      properties:
        productID:
          description: Is the SAP ID of a product. Note - Not a GTIN.
          maxLength: 12
          minLength: 12
          type: string
        showDeliveryInterruption:
          description: Field indicates if a product currently has delivery interruption
            and should be indicated as such.
          type: boolean
        showNeu:
          description: Field indicates if a product is currently promoted as a "new"
            product or neuheit.
          type: boolean
        showNoReorder:
          description: Field indicates if a product shouldn't be reordered.
          type: boolean
        showSeason:
          description: Field indicates if a product is currently promoted as a "seasonal"
            product.
          type: boolean
        storeID:
          description: Is the migros default way of identifiying stores. Note - Consists
            of 7 digits
          maxLength: 7
          minLength: 7
          type: string
      type: object
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
```
